gstreamermm: Gst::Navigation Class Reference

# Gst::Navigation Class Reference
[gstreamermm Interfaces]

Gst::Naviagtion - Interface for elements that provide navigation functionality. More...

`#include <navigation.h>`

Inheritance diagram for Gst::Navigation:

List of all members.

## Public Member Functions
virtual | ~Navigation ()
GstNavigation* | gobj ()
| Provides access to the underlying C GObject.
const GstNavigation* | gobj () const
| Provides access to the underlying C GObject.
void | send_event (Gst::Structure& structure)
void | send_key_event (const Glib::ustring& event, const Glib::ustring& key)
void | send_mouse_event (const Glib::ustring& event, int button, double x, double y)
## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gst::Navigation> | wrap (GstNavigation* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Gst::Naviagtion - Interface for elements that provide navigation functionality.

## Constructor& Destructor Documentation

virtual Gst::Navigation::~Navigation | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Gst::Navigation::add_interface | ( | GType | gtype_implementer | ) | `[static]`

GstNavigation* Gst::Navigation::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented in Gst::XImageSink, and Gst::XvImageSink.

const GstNavigation* Gst::Navigation::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented in Gst::XImageSink, and Gst::XvImageSink.

void Gst::Navigation::send_event | ( | Gst::Structure& | structure | ) |

void Gst::Navigation::send_key_event | ( | const Glib::ustring & | event,
|  | const Glib::ustring & | key |
| ) |  |  |

void Gst::Navigation::send_mouse_event | ( | const Glib::ustring & | event,
|  | int | button,
|  | double | x,
|  | double | y |
| ) |  |  |

## Friends And Related Function Documentation

Glib::RefPtr<Gst::Navigation> wrap | ( | GstNavigation * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- navigation.h